Queue - List
Gets a list of all the queues under the specified storage account
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Storage/storageAccounts/{accountName}/queueServices/default/queues?api-version=2025-06-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Storage/storageAccounts/{accountName}/queueServices/default/queues?api-version=2025-06-01&$maxpagesize={$maxpagesize}&$filter={$filter}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
string minLength: 3maxLength: 24 pattern: ^[a-z0-9]+$ |
The name of the storage account within the specified resource group. Storage account names must be between 3 and 24 characters in length and use numbers and lower-case letters only. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
$filter
|
query |
string |
Optional, When specified, only the queues with a name starting with the given filter will be listed. |
|
|
$maxpagesize
|
query |
string |
Optional, a maximum number of queues that should be included in a list queue response |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
QueueOperationList
Sample request
Sample response
{
"nextLink": "https://sto1590endpoint/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/res9290/providers/Microsoft.Storage/storageAccounts/sto328/queueServices/default/queues?api-version=2022-09-01&$maxpagesize=2&$skipToken=/sto328/queue6187",
"value": [
{
"name": "queue6185",
"type": "Microsoft.Storage/storageAccounts/queueServices/queues",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/res3376/providers/Microsoft.Storage/storageAccounts/sto328/queueServices/default/queues/queue6185",
"properties": {
"metadata": {
"sample1": "meta1",
"sample2": "meta2"
}
}
},
{
"name": "queue6186",
"type": "Microsoft.Storage/storageAccounts/queueServices/queues",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/res3376/providers/Microsoft.Storage/storageAccounts/sto328/queueServices/default/queues/queue6186",
"properties": {
"metadata": {
"sample1": "meta1",
"sample2": "meta2"
}
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Cloud |
An error response from the Storage service. |
|
Cloud |
An error response from the Storage service. |
|
List |
|
|
List |
Response schema. Contains list of queues returned |
CloudError
An error response from the Storage service.
| Name | Type | Description |
|---|---|---|
| error |
An error response from the Storage service. |
CloudErrorBody
An error response from the Storage service.
| Name | Type | Description |
|---|---|---|
| code |
string |
An identifier for the error. Codes are invariant and are intended to be consumed programmatically. |
| details |
A list of additional details about the error. |
|
| message |
string |
A message describing the error, intended to be suitable for display in a user interface. |
| target |
string |
The target of the particular error. For example, the name of the property in error. |
ListQueue
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
The name of the resource |
| properties.metadata |
object |
A name-value pair that represents queue metadata. |
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
ListQueueResource
Response schema. Contains list of queues returned
| Name | Type | Description |
|---|---|---|
| nextLink |
string (uri) |
The link to the next page of items |
| value |
The ListQueue items on this page |